Package com.xebialabs.xlrelease.builder

# Class ConfigurationBuilder$

java.lang.Object
com.xebialabs.xlrelease.builder.ConfigurationBuilder$

All Implemented Interfaces:
  `Serializable`

public class ConfigurationBuilder$ extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ConfigurationBuilder$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationBuilder$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `$lessinit$greater$default$2()`
  `String`
  `$lessinit$greater$default$3()`
  `String`
  `$lessinit$greater$default$4()`
  `scala.collection.immutable.Map<String,Object>`
  `$lessinit$greater$default$5()`
  `scala.collection.immutable.Map<String,String>`
  `$lessinit$greater$default$6()`
  `ConfigurationBuilder`
  `apply(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)`
  `String`
  `apply$default$2()`
  `String`
  `apply$default$3()`
  `String`
  `apply$default$4()`
  `scala.collection.immutable.Map<String,Object>`
  `apply$default$5()`
  `scala.collection.immutable.Map<String,String>`
  `apply$default$6()`
  `ConfigurationBuilder`
  `newConfiguration(String configType)`
  `scala.Option<scala.Tuple6<Type,String,String,String,scala.collection.immutable.Map<String,Object>,scala.collection.immutable.Map<String,String>>>`
  `unapply(ConfigurationBuilder x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final ConfigurationBuilder$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ConfigurationBuilder$

    public ConfigurationBuilder$()

- ## Method Details

  - ### $lessinit$greater$default$2

    public String $lessinit$greater$default$2()

  - ### $lessinit$greater$default$3

    public String $lessinit$greater$default$3()

  - ### $lessinit$greater$default$4

    public String $lessinit$greater$default$4()

  - ### $lessinit$greater$default$5

    public scala.collection.immutable.Map<String,Object> $lessinit$greater$default$5()

  - ### $lessinit$greater$default$6

    public scala.collection.immutable.Map<String,String> $lessinit$greater$default$6()

  - ### newConfiguration

    public ConfigurationBuilder newConfiguration(String configType)

  - ### apply

    public ConfigurationBuilder apply(Type configType, String id, String title, String folderId, scala.collection.immutable.Map<String,Object> properties, scala.collection.immutable.Map<String,String> variableMapping)

  - ### apply$default$2

    public String apply$default$2()

  - ### apply$default$3

    public String apply$default$3()

  - ### apply$default$4

    public String apply$default$4()

  - ### apply$default$5

    public scala.collection.immutable.Map<String,Object> apply$default$5()

  - ### apply$default$6

    public scala.collection.immutable.Map<String,String> apply$default$6()

  - ### unapply

    public scala.Option<scala.Tuple6<Type,String,String,String,scala.collection.immutable.Map<String,Object>,scala.collection.immutable.Map<String,String>>> unapply(ConfigurationBuilder x$0)